# lineInFileLocation

abstract fun lineInFileLocation(path: String, line: Int): ProblemSpec

Declares that this problem is in a file on a line.

#### Return

this

#### Since

8.6

#### Parameters

path

the file location

line

the one-indexed line number

abstract fun lineInFileLocation(path: String, line: Int, column: Int): ProblemSpec

Declares that this problem is in a file with on a line at a certain position.

#### Return

this

#### Since

8.6

#### Parameters

path

the file location

line

the one-indexed line number

column

the one-indexed column

abstract fun lineInFileLocation(path: String, line: Int, column: Int, length: Int): ProblemSpec

Declares that this problem is in a file with on a line at a certain position.

#### Return

this

#### Since

8.6

#### Parameters

path

the file location

line

the one-indexed line number

column

the one-indexed column

length

the length of the text